Get Component Preset
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/component_presets/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/component_presets/1 \ --header 'Authorization: Bearer <token>'Retrieves a component preset.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace ID
Component Preset ID
Responses
Section titled “Responses”Successful
object
The name of the component definition this preset is based on.
object
The name of the component definition this instance is based on.
The ID of the conditional applied to this component instance. When set, the component renders a separate variant for each branch of the conditional.
Field values organized by branch key.
object
Field values organized by locale code.
A map of locale codes to boolean values indicating whether this component instance is hidden for that locale.
object
object
Per-component-instance link tracking parameter values, organized by branch key, then by locale code.
object
object
A map of link tracking parameter names to their values for this component instance.
object
The locale used as the default when rendering or screenshotting this preset.
URL of the rendered preset screenshot.
Locales present in the preset content. Derived from the component instance on save; not user-settable.
Branch keys present in the preset content. Derived from the component instance on save; not user-settable.
Example
{ "id": 12345, "name": "Black Friday hero", "component_name": "Headline", "component_instance": { "id": "bd1c1b82-1a7b-4f0f-b079-30c1d4189bed", "name": "My Component", "component_name": "Headline", "conditional_id": 1, "hidden_from_locales": { "additionalProperty": true } }, "email_design_system_id": 12345, "default_locale": "en-US", "screenshot_url": "https://placehold.co/600x400?text=Preset", "locales": [ "ar-SA" ], "branches": [ "default" ], "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z"}Unauthorized
object
Example
{ "message": "Record not found"}Forbidden
object
Example
{ "message": "Record not found"}Not Found
object
Example
{ "message": "Record not found"}